<template>
  <ProForm :model="form" label-width="160px" label-position="left" is-read>
    <ChunkCellV2 title="材料审核">
      <BatchInfoView :form="form"></BatchInfoView>
    </ChunkCellV2>
    <ChunkCellV2 title="汇总材料">
      <MaterialInfoView :form="form"></MaterialInfoView>
    </ChunkCellV2>
    <ChunkCellV2 title="汇算材料">
      <SettlementMaterialInfoView :form="form"></SettlementMaterialInfoView>
    </ChunkCellV2>
    <ChunkCellV2 title="申报企业名单" class="chunk-cell-table">
      <slot name="table"> </slot>
    </ChunkCellV2>
    <ChunkCell v-if="hasForm">
      <slot name="form"></slot>
    </ChunkCell>
  </ProForm>
</template>

<script setup lang="ts">
import { ProForm, UploadUserFile, ChunkCell } from '@bole-core/components';
import ChunkCellV2 from '@/components/Layout/ChunkCellV2.vue';
import BatchInfoView from './BatchInfoView.vue';
import MaterialInfoView from './MaterialInfoView.vue';
import SettlementMaterialInfoView from './SettlementMaterialInfoView.vue';
import DeclareEnterpriseTableView from './DeclareEnterpriseTableView.vue';

defineOptions({
  name: 'DetailView',
});

type Props = {
  hasForm?: boolean;
  form?: {
    categoryName: string;
    amount: number;
    url: UploadUserFile[];
  };
};

const props = withDefaults(defineProps<Props>(), {
  hasForm: false,
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;

.page-form-layout {
  .el-form {
    padding-bottom: 22px;
  }

  .chunk-cell-table {
    :deep() {
      .chunk-cell-v2-content {
        margin-bottom: 30px;
      }
    }
  }
}
</style>
